package model

type GetListRoleResponse struct {
	Roles []RoleBrief `json:"roles"`
	Total int64       `json:"total"`
}

type RoleBrief struct {
	ID          string            `json:"_id"`
	Name        string            `json:"name"`
	Code        string            `json:"code"`
	Type        string            `json:"type"`
	Permissions []PermissionShort `json:"permissions"`
	SupplierId  string            `json:"supplierId"`
	CreatedAt   string            `json:"createdAt"`
	UpdatedAt   string            `json:"updatedAt"`
}

type CreateRoleResponse struct {
	ID string `json:"_id"`
}

type RoleShort struct {
	ID         string `json:"_id"`
	Name       string `json:"name"`
	Code       string `json:"code"`
	Type       string `json:"type"`
	SupplierId string `json:"supplierId"`
}
